/
/ Put string.
/

	.globl	puts
	.globl	fputs

/
/ puts(p);
/ fputs(p, fp);
/ char *p; FILE *fp;
/ Put out string via calls to `putc'.
/ Append a newline.
/

puts:	jsr	r0,__csav	/ Linkage
	mov	stdout,r4	/ r4 = standard output
	br	0f

fputs:	jsr	r0,__csav	/ Linkage
	mov	14(r5),r4	/ r4 = user's stream

0:	mov	12(r5),r3	/ r3 = pointer

0:	movb	(r3)+,r0	/ Get character
	beq	0f		/ Done
	call	__putc		/ Put it out
	br	0b		/ Go for more!

0:	mov	$'\n,r0		/ Append newline
	call	__putc		/

	jmp	__cret		/ Done
